Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### int()

Examples

    float f = 65.0;
    int i = int(f);
    println(f + " : " + i);  // Prints "65.0 : 65"

    char c = 'E';
    i = int(c);
    println(c + " : " + i);  // Prints "E : 69"

Description | Converts a primitive datatype, string, or array to its integer representation.

Syntax

    int(value)

Parameters

value | float, char, byte, String, float[], char[], byte[], String[]

Returns | int
Usage | Web & Application
Related | int float()

Updated on August 30, 2010 04:29:39pm EDT